<?php
$tdatasale_master = array();
$tdatasale_master[".searchableFields"] = array();
$tdatasale_master[".ShortName"] = "sale_master";
$tdatasale_master[".OwnerID"] = "";
$tdatasale_master[".OriginalTable"] = "sale_master";


$tdatasale_master[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasale_master[".originalPagesByType"] = $tdatasale_master[".pagesByType"];
$tdatasale_master[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasale_master[".originalPages"] = $tdatasale_master[".pages"];
$tdatasale_master[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasale_master[".originalDefaultPages"] = $tdatasale_master[".defaultPages"];

//	field labels
$fieldLabelssale_master = array();
$fieldToolTipssale_master = array();
$pageTitlessale_master = array();
$placeHolderssale_master = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssale_master["English"] = array();
	$fieldToolTipssale_master["English"] = array();
	$placeHolderssale_master["English"] = array();
	$pageTitlessale_master["English"] = array();
	$fieldLabelssale_master["English"]["id"] = "Id";
	$fieldToolTipssale_master["English"]["id"] = "";
	$placeHolderssale_master["English"]["id"] = "";
	$fieldLabelssale_master["English"]["sale_date"] = "Sale Date";
	$fieldToolTipssale_master["English"]["sale_date"] = "";
	$placeHolderssale_master["English"]["sale_date"] = "";
	$fieldLabelssale_master["English"]["buyer_code"] = "Buyer";
	$fieldToolTipssale_master["English"]["buyer_code"] = "";
	$placeHolderssale_master["English"]["buyer_code"] = "";
	$fieldLabelssale_master["English"]["seller_id"] = "Seller Id";
	$fieldToolTipssale_master["English"]["seller_id"] = "";
	$placeHolderssale_master["English"]["seller_id"] = "";
	$fieldLabelssale_master["English"]["note"] = "Note";
	$fieldToolTipssale_master["English"]["note"] = "";
	$placeHolderssale_master["English"]["note"] = "";
	$fieldLabelssale_master["English"]["amount_paid"] = "Amount Paid";
	$fieldToolTipssale_master["English"]["amount_paid"] = "";
	$placeHolderssale_master["English"]["amount_paid"] = "";
	$pageTitlessale_master["English"]["add"] = "Sale, Add new";
	$pageTitlessale_master["English"]["edit"] = "Sale Master, Edit - {%id}";
	if (count($fieldToolTipssale_master["English"]))
		$tdatasale_master[".isUseToolTips"] = true;
}


	$tdatasale_master[".NCSearch"] = true;



$tdatasale_master[".shortTableName"] = "sale_master";
$tdatasale_master[".nSecOptions"] = 0;

$tdatasale_master[".mainTableOwnerID"] = "";
$tdatasale_master[".entityType"] = 0;
$tdatasale_master[".connId"] = "new_lakmini_at_localhost";


$tdatasale_master[".strOriginalTableName"] = "sale_master";

	



$tdatasale_master[".showAddInPopup"] = false;

$tdatasale_master[".showEditInPopup"] = false;

$tdatasale_master[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasale_master[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatasale_master[".listAjax"] = true;
//	temporary
$tdatasale_master[".listAjax"] = false;

	$tdatasale_master[".audit"] = false;

	$tdatasale_master[".locking"] = false;


$pages = $tdatasale_master[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasale_master[".edit"] = true;
	$tdatasale_master[".afterEditAction"] = 2;
	$tdatasale_master[".closePopupAfterEdit"] = 1;
	$tdatasale_master[".afterEditActionDetTable"] = "sale_details";
}

if( $pages[PAGE_ADD] ) {
$tdatasale_master[".add"] = true;
$tdatasale_master[".afterAddAction"] = 3;
$tdatasale_master[".closePopupAfterAdd"] = 1;
$tdatasale_master[".afterAddActionDetTable"] = "sale_details";
}

if( $pages[PAGE_LIST] ) {
	$tdatasale_master[".list"] = true;
}



$tdatasale_master[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasale_master[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasale_master[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasale_master[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasale_master[".printFriendly"] = true;
}



$tdatasale_master[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasale_master[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasale_master[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasale_master[".isUseAjaxSuggest"] = true;

$tdatasale_master[".rowHighlite"] = true;



			

$tdatasale_master[".ajaxCodeSnippetAdded"] = false;

$tdatasale_master[".buttonsAdded"] = false;

$tdatasale_master[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasale_master[".isUseTimeForSearch"] = false;


$tdatasale_master[".badgeColor"] = "2F4F4F";


$tdatasale_master[".allSearchFields"] = array();
$tdatasale_master[".filterFields"] = array();
$tdatasale_master[".requiredSearchFields"] = array();

$tdatasale_master[".googleLikeFields"] = array();
$tdatasale_master[".googleLikeFields"][] = "id";
$tdatasale_master[".googleLikeFields"][] = "sale_date";
$tdatasale_master[".googleLikeFields"][] = "buyer_code";
$tdatasale_master[".googleLikeFields"][] = "seller_id";
$tdatasale_master[".googleLikeFields"][] = "note";
$tdatasale_master[".googleLikeFields"][] = "amount_paid";



$tdatasale_master[".tableType"] = "list";

$tdatasale_master[".printerPageOrientation"] = 0;
$tdatasale_master[".nPrinterPageScale"] = 100;

$tdatasale_master[".nPrinterSplitRecords"] = 40;

$tdatasale_master[".geocodingEnabled"] = false;










$tdatasale_master[".pageSize"] = 20;

$tdatasale_master[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasale_master[".strOrderBy"] = $tstrOrderBy;

$tdatasale_master[".orderindexes"] = array();


$tdatasale_master[".sqlHead"] = "SELECT id,  	sale_date,  	buyer_code,  	seller_id,  	note,  	amount_paid";
$tdatasale_master[".sqlFrom"] = "FROM sale_master";
$tdatasale_master[".sqlWhereExpr"] = "";
$tdatasale_master[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasale_master[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasale_master[".arrGroupsPerPage"] = $arrGPP;

$tdatasale_master[".highlightSearchResults"] = true;

$tableKeyssale_master = array();
$tableKeyssale_master[] = "id";
$tdatasale_master[".Keys"] = $tableKeyssale_master;


$tdatasale_master[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["id"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "id";
//	sale_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "sale_date";
	$fdata["GoodName"] = "sale_date";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","sale_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "sale_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sale_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["sale_date"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "sale_date";
//	buyer_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "buyer_code";
	$fdata["GoodName"] = "buyer_code";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","buyer_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "buyer_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "buyer_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 10;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "customer1";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "customer";

	

	
	$edata["LookupOrderBy"] = "customer";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["buyer_code"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "buyer_code";
//	seller_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "seller_id";
	$fdata["GoodName"] = "seller_id";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","seller_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "seller_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "seller_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["seller_id"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "seller_id";
//	note
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "note";
	$fdata["GoodName"] = "note";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","note");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "note";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "note";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["note"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "note";
//	amount_paid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "amount_paid";
	$fdata["GoodName"] = "amount_paid";
	$fdata["ownerTable"] = "sale_master";
	$fdata["Label"] = GetFieldLabel("sale_master","amount_paid");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount_paid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount_paid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasale_master["amount_paid"] = $fdata;
		$tdatasale_master[".searchableFields"][] = "amount_paid";


$tables_data["sale_master"]=&$tdatasale_master;
$field_labels["sale_master"] = &$fieldLabelssale_master;
$fieldToolTips["sale_master"] = &$fieldToolTipssale_master;
$placeHolders["sale_master"] = &$placeHolderssale_master;
$page_titles["sale_master"] = &$pageTitlessale_master;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["sale_master"] = array();
//	sale_details
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="sale_details";
		$detailsParam["dOriginalTable"] = "sale_details";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "sale_details";
	$detailsParam["dCaptionTable"] = GetTableCaption("sale_details");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["sale_master"][$dIndex] = $detailsParam;

	
		$detailsTablesData["sale_master"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["sale_master"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["sale_master"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["sale_master"][$dIndex]["detailKeys"][]="mid";

// tables which are master tables for current table (detail)
$masterTablesData["sale_master"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_sale_master()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	sale_date,  	buyer_code,  	seller_id,  	note,  	amount_paid";
$proto0["m_strFrom"] = "FROM sale_master";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "sale_master";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "sale_date",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto8["m_sql"] = "sale_date";
$proto8["m_srcTableName"] = "sale_master";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "buyer_code",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto10["m_sql"] = "buyer_code";
$proto10["m_srcTableName"] = "sale_master";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "seller_id",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto12["m_sql"] = "seller_id";
$proto12["m_srcTableName"] = "sale_master";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "note",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto14["m_sql"] = "note";
$proto14["m_srcTableName"] = "sale_master";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "amount_paid",
	"m_strTable" => "sale_master",
	"m_srcTableName" => "sale_master"
));

$proto16["m_sql"] = "amount_paid";
$proto16["m_srcTableName"] = "sale_master";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "sale_master";
$proto19["m_srcTableName"] = "sale_master";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id";
$proto19["m_columns"][] = "sale_date";
$proto19["m_columns"][] = "buyer_code";
$proto19["m_columns"][] = "seller_id";
$proto19["m_columns"][] = "tbid";
$proto19["m_columns"][] = "note";
$proto19["m_columns"][] = "amount_paid";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "sale_master";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "sale_master";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="sale_master";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_sale_master = createSqlQuery_sale_master();


	
		;

						

$tdatasale_master[".sqlquery"] = $queryData_sale_master;



$tableEvents["sale_master"] = new eventsBase;
$tdatasale_master[".hasEvents"] = false;

?>